/*
 * Copyright (c) 2006, TopCoder, Inc. All rights reserved.
 */
using NUnit.Framework;

namespace TopCoder.Web.UI.WebControl.BreadCrumb
{
    /// <summary>
    /// Tests the functionality and error cases of <c>BreadCrumbTrailControlDesigner</c> class. This is a very simple
    /// class.
    /// </summary>
    /// <author>TCSDEVELOPER</author>
    /// <version>2.0</version>
    /// <copyright>Copyright (c) 2006, TopCoder, Inc. All rights reserved.</copyright>
    [TestFixture]
    public class BreadCrumbTrailControlDesignerTestCase
    {
        /// <summary>
        /// Tests accuracy of <c>GetDesignTimeHtml()</c>. It should return a dummy rendered bread crumb trail.
        /// </summary>
        [Test]
        public void TestGetDesignTimeHtmlAccuracy()
        {
            BreadCrumbTrailControlDesigner designer = new BreadCrumbTrailControlDesigner();

            // Verify
            Assert.AreEqual("Root > Level 1 > Level 2", designer.GetDesignTimeHtml(),
                "The design-time HTML should be a dummy rendered bread crumb trail.");
        }
    }
}

