<%@ Page Language="C#" %>
<%@ Register TagPrefix="bct" Namespace="TopCoder.Web.UI.WebControl.BreadCrumb" Assembly="TopCoder.Web.UI.WebControl.BreadCrumb" %>
<%@ Import Namespace="TopCoder.Web.UI.WebControl.BreadCrumb" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN">

<html xmlns="http://www.w3.org/1999/xhtml" >
<head runat="server">
    <title>Overridden Path</title>
    <style>
.root { color : red }
.current { color : green }
.node { color : #10ABCD }
.hover { color : #AA0CBF }
.path { color : #BBEBC0 }
    </style>
<script runat="server">
    protected override void OnLoad(EventArgs e)
    {
        base.OnLoad(e);

        Bread.DataSource = new BreadCrumbNode[] {
            new BreadCrumbNode("Page 3", "/demo/page3.aspx"),
            new BreadCrumbNode("Page 2", "/demo/page2.aspx"),
            new BreadCrumbNode("Overridden", "/demo/override.aspx")
        };

        Bread.DataBind();
    }
</script>
</head>
<body runat="server">
    <form id="form1" runat="server">
    <div>
        <bct:BreadCrumbTrailControl id="Bread" runat="server" ErrorDisposition="ThrowException" PathSeparatorStyle="path" RootNodeStyle="root" CurrentNodeStyle="current" NodeStyle="node" MouseOverStyle="hover" /><br />
    </form>
</body>
</html>
